	subroutine lpedit2(lpp,lp)
c extract integer LP data from lpselect-format data
c *** 11-Feb-01 ***
	integer lpp(6,90),lp(360,3),and,rshift
	parameter (mask='3ff'x)
c
	do j=1,90
	 jj=j*4-6
	 do i=3,6
	  md=lpp(i,j)
	  k=jj+i
	  lp(k,1)=and(rshift(md,22),mask)
	  lp(k,2)=and(rshift(md,11),mask)
	  lp(k,3)=and(md,mask)
	  end do
	 end do
	return
	end

